VMware vSphere Client XXE Injection Information Disclosure (VMSA-2016-0022)

This script is Copyright (C) 2016 Tenable Network Security, Inc.


Synopsis :

The remote host has a virtualization client application installed that
is affected by an information disclosure vulnerability.

Description :

The version of vSphere Client installed on the remote Windows host is
affected by an information disclosure vulnerability due to an
incorrectly configured XML parser accepting XML external entities
(XXE) from an untrusted source. An unauthenticated, remote attacker
can exploit this issue to disclose arbitrary files by convincing a
user to connect to a malicious instance of a vCenter Server or ESXi
host containing specially crafted XML data.

See also :

https://www.vmware.com/security/advisories/VMSA-2016-0022.html

Solution :

Upgrade to vSphere Client version 5.5 Update 3e / 6.0 Update 2a or
later.

Risk factor :

Medium / CVSS Base Score : 4.3
(CVSS2#AV:N/AC:M/Au:N/C:P/I:N/A:N)
CVSS Temporal Score : 3.6
(CVSS2#E:F/RL:OF/RC:ND)
Public Exploit Available : true

Family: Windows

Nessus Plugin ID: 95657 ()

Bugtraq ID: 94483

CVE ID: CVE-2016-7458

Ready to Amp Up Your Nessus Experience?

Get Nessus Professional to scan unlimited IPs, run compliance checks & more

Buy Nessus Professional Now